import { RustCrypto } from "./rust-crypto";
import { IHttpOpts, MatrixHttpApi } from "../http-api";
import { ServerSideSecretStorage } from "../secret-storage";
/**
 * Create a new `RustCrypto` implementation
 *
 * @param http - Low-level HTTP interface: used to make outgoing requests required by the rust SDK.
 *     We expect it to set the access token, etc.
 * @param userId - The local user's User ID.
 * @param deviceId - The local user's Device ID.
 * @param secretStorage - Interface to server-side secret storage.
 */
export declare function initRustCrypto(http: MatrixHttpApi<IHttpOpts & {
    onlyData: true;
}>, userId: string, deviceId: string, secretStorage: ServerSideSecretStorage): Promise<RustCrypto>;
//# sourceMappingURL=index.d.ts.map